from flask_sqlalchemy import SQLAlchemy
from flask_redis import FlaskRedis
import boto3
from config import Config

db = SQLAlchemy()
redis_client = FlaskRedis()

# MinIO Client
s3_client = boto3.client(
    "s3",
    endpoint_url=Config.MINIO["endpoint"],
    aws_access_key_id=Config.MINIO["access_key"],
    aws_secret_access_key=Config.MINIO["secret_key"],
    region_name="us-east-1"
)
